	.text
	.hidden	_itowa_upper_digits
	.globl	_itowa_upper_digits
	.section	.rodata
	.align 32
	.type	_itowa_upper_digits, @object
	.size	_itowa_upper_digits, 144
_itowa_upper_digits:
	.string	"0"
	.string	""
	.string	""
	.string	"1"
	.string	""
	.string	""
	.string	"2"
	.string	""
	.string	""
	.string	"3"
	.string	""
	.string	""
	.string	"4"
	.string	""
	.string	""
	.string	"5"
	.string	""
	.string	""
	.string	"6"
	.string	""
	.string	""
	.string	"7"
	.string	""
	.string	""
	.string	"8"
	.string	""
	.string	""
	.string	"9"
	.string	""
	.string	""
	.string	"A"
	.string	""
	.string	""
	.string	"B"
	.string	""
	.string	""
	.string	"C"
	.string	""
	.string	""
	.string	"D"
	.string	""
	.string	""
	.string	"E"
	.string	""
	.string	""
	.string	"F"
	.string	""
	.string	""
	.string	"G"
	.string	""
	.string	""
	.string	"H"
	.string	""
	.string	""
	.string	"I"
	.string	""
	.string	""
	.string	"J"
	.string	""
	.string	""
	.string	"K"
	.string	""
	.string	""
	.string	"L"
	.string	""
	.string	""
	.string	"M"
	.string	""
	.string	""
	.string	"N"
	.string	""
	.string	""
	.string	"O"
	.string	""
	.string	""
	.string	"P"
	.string	""
	.string	""
	.string	"Q"
	.string	""
	.string	""
	.string	"R"
	.string	""
	.string	""
	.string	"S"
	.string	""
	.string	""
	.string	"T"
	.string	""
	.string	""
	.string	"U"
	.string	""
	.string	""
	.string	"V"
	.string	""
	.string	""
	.string	"W"
	.string	""
	.string	""
	.string	"X"
	.string	""
	.string	""
	.string	"Y"
	.string	""
	.string	""
	.string	"Z"
	.string	""
	.string	""
	.hidden	_itowa_lower_digits
	.globl	_itowa_lower_digits
	.align 32
	.type	_itowa_lower_digits, @object
	.size	_itowa_lower_digits, 144
_itowa_lower_digits:
	.string	"0"
	.string	""
	.string	""
	.string	"1"
	.string	""
	.string	""
	.string	"2"
	.string	""
	.string	""
	.string	"3"
	.string	""
	.string	""
	.string	"4"
	.string	""
	.string	""
	.string	"5"
	.string	""
	.string	""
	.string	"6"
	.string	""
	.string	""
	.string	"7"
	.string	""
	.string	""
	.string	"8"
	.string	""
	.string	""
	.string	"9"
	.string	""
	.string	""
	.string	"a"
	.string	""
	.string	""
	.string	"b"
	.string	""
	.string	""
	.string	"c"
	.string	""
	.string	""
	.string	"d"
	.string	""
	.string	""
	.string	"e"
	.string	""
	.string	""
	.string	"f"
	.string	""
	.string	""
	.string	"g"
	.string	""
	.string	""
	.string	"h"
	.string	""
	.string	""
	.string	"i"
	.string	""
	.string	""
	.string	"j"
	.string	""
	.string	""
	.string	"k"
	.string	""
	.string	""
	.string	"l"
	.string	""
	.string	""
	.string	"m"
	.string	""
	.string	""
	.string	"n"
	.string	""
	.string	""
	.string	"o"
	.string	""
	.string	""
	.string	"p"
	.string	""
	.string	""
	.string	"q"
	.string	""
	.string	""
	.string	"r"
	.string	""
	.string	""
	.string	"s"
	.string	""
	.string	""
	.string	"t"
	.string	""
	.string	""
	.string	"u"
	.string	""
	.string	""
	.string	"v"
	.string	""
	.string	""
	.string	"w"
	.string	""
	.string	""
	.string	"x"
	.string	""
	.string	""
	.string	"y"
	.string	""
	.string	""
	.string	"z"
	.string	""
	.string	""
